org.apache.tinkerpop.gremlin.groovy.jsr223.ast

## Class RepeatASTTransformationCustomizer

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
  - - org.codehaus.groovy.control.customizers.CompilationCustomizer
    - - org.codehaus.groovy.control.customizers.ASTTransformationCustomizer
      - - org.apache.tinkerpop.gremlin.groovy.jsr223.ast.RepeatASTTransformationCustomizer

- All Implemented Interfaces:
    groovy.lang.GroovyObject, groovy.transform.CompilationUnitAware

      public class RepeatASTTransformationCustomizer
      extends org.codehaus.groovy.control.customizers.ASTTransformationCustomizer

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.control.customizers.ASTTransformationCustomizer

      `compilationUnit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatASTTransformationCustomizer(org.codehaus.groovy.transform.ASTTransformation transformation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

    - ### Methods inherited from class org.codehaus.groovy.control.customizers.ASTTransformationCustomizer

      `getTransformation, setAnnotationParameters, setCompilationUnit`

    - ### Methods inherited from class org.codehaus.groovy.control.customizers.CompilationCustomizer

      `getPhase`

    - ### Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

      `needSortedInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface groovy.lang.GroovyObject

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

- - ### Constructor Detail

    - #### RepeatASTTransformationCustomizer

          public RepeatASTTransformationCustomizer(org.codehaus.groovy.transform.ASTTransformation transformation)

  - ### Method Detail

    - #### call

          public void call(org.codehaus.groovy.control.SourceUnit source,
                           org.codehaus.groovy.classgen.GeneratorContext context,
                           org.codehaus.groovy.ast.ClassNode classNode)

      Overrides:
        `call` in class `org.codehaus.groovy.control.customizers.ASTTransformationCustomizer`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.